package com.ruoyi.app.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 死淘处理方式对象 dead_disposal
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public class DeadDisposal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 处理原因 */
    @Excel(name = "处理原因")
    private String dealReason;

    /** 处理方式 */
    @Excel(name = "处理方式")
    private String dealWay;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDealReason(String dealReason) 
    {
        this.dealReason = dealReason;
    }

    @NotBlank(message = "处理原因不能为空")
    @Size(min = 1, max = 20, message = "处理原因输入超出最大长度限制（20位）")
    public String getDealReason() 
    {
        return dealReason;
    }

    public void setDealWay(String dealWay) 
    {
        this.dealWay = dealWay;
    }

    @NotBlank(message = "处理方式不能为空")
    @Size(min = 1, max = 50, message = "处理原因输入超出最大长度限制（50位）")
    public String getDealWay() 
    {
        return dealWay;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dealReason", getDealReason())
            .append("dealWay", getDealWay())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
